--- teste2.dts	2025-09-14 20:07:11.894348224 -0300
+++ rk3528-mangopi-m28k.dts	2025-09-14 20:05:28.929978681 -0300
@@ -1,14 +1,14 @@
 /dts-v1/;
 
 / {
-	compatible = "rockchip,rk3528-box", "rockchip,rk3528";
+	compatible = "mangopi,m28k", "rockchip,rk3528";
 	interrupt-parent = <0x01>;
 	#address-cells = <0x02>;
 	#size-cells = <0x02>;
-	model = "Rockchip RK3528 Box Board";
+	model = "MangoPi M28K";
 
 	aliases {
-		ethernet0 = "/ethernet@ffbd0000";
+		ethernet0 = "/ethernet@ffbe0000";
 		ethernet1 = "/ethernet@ffbe0000";
 		gpio0 = "/pinctrl/gpio@ff610000";
 		gpio1 = "/pinctrl/gpio@ffaf0000";
@@ -34,6 +34,8 @@
 		spi0 = "/spi@ff9c0000";
 		spi1 = "/spi@ff9d0000";
 		spi2 = "/spi@ffc00000";
+		mmc0 = "/mmc@ffc30000";
+		mmc1 = "/mmc@ffbf0000";
 	};
 
 	clocks {
@@ -47,7 +49,7 @@
 			#clock-cells = <0x00>;
 			clock-frequency = <0x16e3600>;
 			clock-output-names = "xin24m";
-			phandle = <0x86>;
+			phandle = <0x92>;
 		};
 
 		mclkin-sai0 {
@@ -55,7 +57,7 @@
 			#clock-cells = <0x00>;
 			clock-frequency = <0x00>;
 			clock-output-names = "i2s0_mclkin";
-			phandle = <0xaa>;
+			phandle = <0xb0>;
 		};
 
 		mclkin-sai1 {
@@ -63,7 +65,7 @@
 			#clock-cells = <0x00>;
 			clock-frequency = <0x00>;
 			clock-output-names = "i2s1_mclkin";
-			phandle = <0xab>;
+			phandle = <0xb1>;
 		};
 
 		mclkout-sai0@ff340014 {
@@ -74,7 +76,7 @@
 			clock-output-names = "mclk_sai0_to_io";
 			rockchip,bit-shift = <0x01>;
 			rockchip,bit-set-to-disable;
-			phandle = <0xac>;
+			phandle = <0xb2>;
 		};
 
 		mclkout-sai1@ff320004 {
@@ -85,7 +87,7 @@
 			clock-output-names = "mclk_sai1_to_io";
 			rockchip,bit-shift = <0x0e>;
 			rockchip,bit-set-to-disable;
-			phandle = <0xad>;
+			phandle = <0xb3>;
 		};
 	};
 
@@ -206,6 +208,9 @@
 		rockchip,pvtm-temp-prop = <0x00 0x00>;
 		rockchip,pvtm-thermal-zone = "soc-thermal";
 		rockchip,grf = <0x0f>;
+		rockchip,temp-hysteresis = <0x1388>;
+		rockchip,low-temp = <0x2710>;
+		rockchip,low-temp-min-volt = <0xdbba0>;
 		phandle = <0x08>;
 
 		opp-408000000 {
@@ -323,17 +328,17 @@
 		opp-2016000000 {
 			opp-hz = <0x00 0x7829b800>;
 			opp-microvolt = <0x10c8e0 0x10c8e0 0x10c8e0>;
-			opp-microvolt-L1 = <0x10980c 0x10980c 0x10c8e0>;
-			opp-microvolt-L2 = <0x106738 0x106738 0x10c8e0>;
-			opp-microvolt-L3 = <0x103664 0x103664 0x10c8e0>;
-			opp-microvolt-L4 = <0x100590 0x100590 0x10c8e0>;
-			opp-microvolt-L5 = <0xfd4bc 0xfd4bc 0x10c8e0>;
-			opp-microvolt-L6 = <0xfa3e8 0xfa3e8 0x10c8e0>;
-			opp-microvolt-L7 = <0xf7314 0xf7314 0x10c8e0>;
-			opp-microvolt-L8 = <0xf4240 0xf4240 0x10c8e0>;
-			opp-microvolt-L9 = <0xf116c 0xf116c 0x10c8e0>;
-			opp-microvolt-L10 = <0xee098 0xee098 0x10c8e0>;
-			opp-microvolt-L11 = <0xeafc4 0xeafc4 0x10c8e0>;
+			opp-microvolt-L1 = <0x10c8e0 0x10c8e0 0x10c8e0>;
+			opp-microvolt-L2 = <0x10c8e0 0x10c8e0 0x10c8e0>;
+			opp-microvolt-L3 = <0x10c8e0 0x10c8e0 0x10c8e0>;
+			opp-microvolt-L4 = <0x10c8e0 0x10c8e0 0x10c8e0>;
+			opp-microvolt-L5 = <0x10c8e0 0x10c8e0 0x10c8e0>;
+			opp-microvolt-L6 = <0x10c8e0 0x10c8e0 0x10c8e0>;
+			opp-microvolt-L7 = <0x10c8e0 0x10c8e0 0x10c8e0>;
+			opp-microvolt-L8 = <0x10c8e0 0x10c8e0 0x10c8e0>;
+			opp-microvolt-L9 = <0x10c8e0 0x10c8e0 0x10c8e0>;
+			opp-microvolt-L10 = <0x10c8e0 0x10c8e0 0x10c8e0>;
+			opp-microvolt-L11 = <0x10c8e0 0x10c8e0 0x10c8e0>;
 			clock-latency-ns = <0x9c40>;
 		};
 	};
@@ -356,28 +361,28 @@
 		status = "okay";
 		memory-region = <0x14 0x15>;
 		memory-region-names = "drm-logo", "drm-cubic-lut";
-		phandle = <0xae>;
+		phandle = <0xb4>;
 
 		route {
 
 			route-hdmi {
 				status = "okay";
 				logo,uboot = "logo.bmp";
-				logo,kernel = "logo.bmp";
-				logo,mode = "fullscreen";
-				charge_logo,mode = "fullscreen";
+				logo,kernel = "logo_kernel.bmp";
+				logo,mode = "center";
+				charge_logo,mode = "center";
 				connect = <0x16>;
-				phandle = <0xaf>;
+				phandle = <0xb5>;
 			};
 
 			route-tve {
 				status = "okay";
 				logo,uboot = "logo.bmp";
-				logo,kernel = "logo.bmp";
-				logo,mode = "fullscreen";
-				charge_logo,mode = "fullscreen";
+				logo,kernel = "logo_kernel.bmp";
+				logo,mode = "center";
+				charge_logo,mode = "center";
 				connect = <0x17>;
-				phandle = <0xb0>;
+				phandle = <0xb6>;
 			};
 		};
 	};
@@ -397,7 +402,7 @@
 		auto-freq-en = <0x00>;
 		status = "okay";
 		center-supply = <0x1a>;
-		phandle = <0xb1>;
+		phandle = <0xb7>;
 	};
 
 	dmc-opp-table {
@@ -439,6 +444,7 @@
 	};
 
 	firmware {
+		phandle = <0xb8>;
 
 		scmi {
 			compatible = "arm,scmi-smc";
@@ -446,7 +452,7 @@
 			arm,smc-id = <0x82000010>;
 			#address-cells = <0x01>;
 			#size-cells = <0x00>;
-			phandle = <0xb2>;
+			phandle = <0xb9>;
 
 			protocol@14 {
 				reg = <0x14>;
@@ -468,7 +474,7 @@
 		rockchip,taskqueue-count = <0x05>;
 		rockchip,resetgroup-count = <0x05>;
 		status = "okay";
-		phandle = <0x30>;
+		phandle = <0x34>;
 	};
 
 	psci {
@@ -479,7 +485,7 @@
 	rkvtunnel {
 		compatible = "rockchip,video-tunnel";
 		status = "okay";
-		phandle = <0xb3>;
+		phandle = <0xba>;
 	};
 
 	rockchip-suspend {
@@ -489,8 +495,8 @@
 		rockchip,sleep-mode-config = <0x01>;
 		rockchip,wakeup-config = <0x11>;
 		rockchip,virtual-poweroff = <0x01>;
-		rockchip,pwm-regulator-config = <0x02>;
-		phandle = <0xb4>;
+		rockchip,pwm-regulator-config = <0x03>;
+		phandle = <0xbb>;
 	};
 
 	rockchip-system-monitor {
@@ -500,47 +506,47 @@
 		rockchip,temp-hysteresis = <0x1388>;
 		rockchip,offline-cpu-temp = <0x19a28>;
 		rockchip,temp-offline-cpus = "2-3";
-		phandle = <0xb5>;
+		phandle = <0xbc>;
 	};
 
 	secure-otp {
 		compatible = "rockchip,secure-otp";
 		rockchip,otp-size = <0x20>;
 		status = "disabled";
-		phandle = <0xb6>;
+		phandle = <0xbd>;
 	};
 
 	thermal-zones {
-		phandle = <0xb7>;
+		phandle = <0xbe>;
 
 		soc-thermal {
-			polling-delay-passive = <0x1f4>;
+			polling-delay-passive = <0x14>;
 			polling-delay = <0x3e8>;
-			sustainable-power = <0x39f>;
+			sustainable-power = <0x27e>;
 			thermal-sensors = <0x1f 0x00>;
-			phandle = <0xb8>;
+			phandle = <0xbf>;
 
 			trips {
 
 				trip-point-0 {
-					temperature = <0x124f8>;
+					temperature = <0x17318>;
 					hysteresis = <0x7d0>;
 					type = "passive";
-					phandle = <0xb9>;
+					phandle = <0xc0>;
 				};
 
 				trip-point-1 {
-					temperature = <0x14c08>;
+					temperature = <0x1adb0>;
 					hysteresis = <0x7d0>;
 					type = "passive";
 					phandle = <0x20>;
 				};
 
 				soc-crit {
-					temperature = <0x1c138>;
+					temperature = <0x1d4c0>;
 					hysteresis = <0x7d0>;
 					type = "critical";
-					phandle = <0xba>;
+					phandle = <0xc1>;
 				};
 			};
 
@@ -578,11 +584,11 @@
 		#address-cells = <0x01>;
 		#size-cells = <0x01>;
 		ranges = <0x00 0x00 0xfe480000 0xc000>;
-		phandle = <0xbb>;
+		phandle = <0xc2>;
 
 		rkvdec-sram@0 {
 			reg = <0x00 0xc000>;
-			phandle = <0x31>;
+			phandle = <0x35>;
 		};
 	};
 
@@ -607,13 +613,18 @@
 		num-lanes = <0x01>;
 		phys = <0x23 0x02>;
 		phy-names = "pcie-phy";
-		ranges = <0x800 0x00 0xfc000000 0x00 0xfc000000 0x00 0x100000 0x81000000 0x00 0xfc100000 0x00 0xfc100000 0x00 0x100000 0x82000000 0x00 0xfc200000 0x00 0xfc200000 0x00 0x1e00000 0xc3000000 0x01 0x00 0x01 0x00 0x00 0x40000000>;
-		reg = <0x00 0xfe4f0000 0x00 0x10000 0x01 0x40000000 0x00 0x400000>;
-		reg-names = "pcie-apb", "pcie-dbi";
+		ranges = <0x81000000 0x00 0xfc100000 0x00 0xfc100000 0x00 0x100000 0x82000000 0x00 0xfc200000 0x00 0xfc200000 0x00 0x1e00000 0xc3000000 0x01 0x00 0x01 0x00 0x00 0x40000000>;
+		reg = <0x00 0xfe4f0000 0x00 0x10000 0x00 0xfe000000 0x00 0x400000 0x00 0xfc000000 0x00 0x100000>;
+		reg-names = "pcie-apb", "pcie-dbi", "config";
 		resets = <0x02 0x1e3 0x02 0x1e1 0x02 0x19b>;
 		reset-names = "pcie", "periph", "preset_cru";
-		status = "disabled";
-		phandle = <0xbc>;
+		status = "okay";
+		rockchip,skip-reset-in-config;
+		reset-gpios = <0x24 0x03 0x00>;
+		vpcie3v3-supply = <0x25>;
+		pinctrl-names = "default";
+		pinctrl-0 = <0x26>;
+		phandle = <0xc3>;
 
 		legacy-interrupt-controller {
 			interrupt-controller;
@@ -623,6 +634,19 @@
 			interrupts = <0x00 0x9b 0x01>;
 			phandle = <0x22>;
 		};
+
+		pcie@0,0 {
+			reg = <0x00 0x00 0x00 0x00 0x00>;
+			#address-cells = <0x03>;
+			#size-cells = <0x02>;
+
+			pcie-eth@10,0 {
+				compatible = "pci10ec,8168";
+				reg = <0x00 0x00 0x00 0x00 0x00>;
+				realtek,led-data = <0x870>;
+				phandle = <0xc4>;
+			};
+		};
 	};
 
 	usbdrd {
@@ -633,14 +657,14 @@
 		#size-cells = <0x02>;
 		ranges;
 		status = "okay";
-		phandle = <0xbd>;
+		phandle = <0xc5>;
 
 		dwc3@fe500000 {
 			compatible = "snps,dwc3";
 			reg = <0x00 0xfe500000 0x00 0x400000>;
 			interrupts = <0x00 0x98 0x04>;
 			dr_mode = "host";
-			phys = <0x24 0x23 0x04>;
+			phys = <0x27 0x23 0x04>;
 			phy-names = "usb2-phy", "usb3-phy";
 			phy_type = "utmi_wide";
 			resets = <0x02 0x211>;
@@ -651,14 +675,13 @@
 			snps,dis-u2-freeclk-exists-quirk;
 			snps,dis-del-phy-power-chg-quirk;
 			snps,dis-tx-ipgap-linecheck-quirk;
-			snps,xhci-trb-ent-quirk;
 			snps,dis_rxdet_inp3_quirk;
 			snps,parkmode-disable-hs-quirk;
 			snps,parkmode-disable-ss-quirk;
 			quirk-skip-phy-init;
 			status = "okay";
-			extcon = <0x25>;
-			phandle = <0xbe>;
+			extcon = <0x28>;
+			phandle = <0xc6>;
 		};
 	};
 
@@ -676,222 +699,222 @@
 		compatible = "generic-ehci";
 		reg = <0x00 0xff100000 0x00 0x40000>;
 		interrupts = <0x00 0x8f 0x04>;
-		clocks = <0x02 0x1a0 0x02 0x1a1 0x25>;
+		clocks = <0x02 0x1a0 0x02 0x1a1 0x28>;
 		clock-names = "usbhost", "arbiter", "utmi";
-		phys = <0x26>;
+		phys = <0x29>;
 		phy-names = "usb2-phy";
 		status = "okay";
-		phandle = <0xbf>;
+		phandle = <0xc7>;
 	};
 
 	usb@ff140000 {
 		compatible = "generic-ohci";
 		reg = <0x00 0xff140000 0x00 0x40000>;
 		interrupts = <0x00 0x90 0x04>;
-		clocks = <0x02 0x1a0 0x02 0x1a1 0x25>;
+		clocks = <0x02 0x1a0 0x02 0x1a1 0x28>;
 		clock-names = "usbhost", "arbiter", "utmi";
-		phys = <0x26>;
+		phys = <0x29>;
 		phy-names = "usb2-phy";
 		status = "okay";
-		phandle = <0xc0>;
+		phandle = <0xc8>;
 	};
 
 	debug@ff190000 {
 		compatible = "rockchip,debug";
 		reg = <0x00 0xff190000 0x00 0x1000 0x00 0xff192000 0x00 0x1000 0x00 0xff194000 0x00 0x1000 0x00 0xff196000 0x00 0x1000>;
-		phandle = <0xc1>;
+		phandle = <0xc9>;
 	};
 
 	qos@ff200000 {
 		compatible = "syscon";
 		reg = <0x00 0xff200000 0x00 0x20>;
-		phandle = <0xc2>;
+		phandle = <0xca>;
 	};
 
 	qos@ff200080 {
 		compatible = "syscon";
 		reg = <0x00 0xff200080 0x00 0x20>;
-		phandle = <0xc3>;
+		phandle = <0xcb>;
 	};
 
 	qos@ff200100 {
 		compatible = "syscon";
 		reg = <0x00 0xff200100 0x00 0x20>;
-		phandle = <0xc4>;
+		phandle = <0xcc>;
 	};
 
 	qos@ff200200 {
 		compatible = "syscon";
 		reg = <0x00 0xff200200 0x00 0x20>;
-		phandle = <0xc5>;
+		phandle = <0xcd>;
 	};
 
 	qos@ff200280 {
 		compatible = "syscon";
 		reg = <0x00 0xff200280 0x00 0x20>;
-		phandle = <0xc6>;
+		phandle = <0xce>;
 	};
 
 	qos@ff200300 {
 		compatible = "syscon";
 		reg = <0x00 0xff200300 0x00 0x20>;
-		phandle = <0xc7>;
+		phandle = <0xcf>;
 	};
 
 	qos@ff200380 {
 		compatible = "syscon";
 		reg = <0x00 0xff200380 0x00 0x20>;
-		phandle = <0xc8>;
+		phandle = <0xd0>;
 	};
 
 	qos@ff210000 {
 		compatible = "syscon";
 		reg = <0x00 0xff210000 0x00 0x20>;
-		phandle = <0xc9>;
+		phandle = <0xd1>;
 	};
 
 	qos@ff210080 {
 		compatible = "syscon";
 		reg = <0x00 0xff210080 0x00 0x20>;
-		phandle = <0xca>;
+		phandle = <0xd2>;
 	};
 
 	qos@ff220000 {
 		compatible = "syscon";
 		reg = <0x00 0xff220000 0x00 0x20>;
-		phandle = <0x27>;
+		phandle = <0x2a>;
 	};
 
 	qos@ff220080 {
 		compatible = "syscon";
 		reg = <0x00 0xff220080 0x00 0x20>;
-		phandle = <0x28>;
+		phandle = <0x2b>;
 	};
 
 	qos@ff240000 {
 		compatible = "syscon";
 		reg = <0x00 0xff240000 0x00 0x20>;
-		phandle = <0xcb>;
+		phandle = <0xd3>;
 	};
 
 	qos@ff250000 {
 		compatible = "syscon";
 		reg = <0x00 0xff250000 0x00 0x20>;
-		phandle = <0xcc>;
+		phandle = <0xd4>;
 	};
 
 	qos@ff260000 {
 		compatible = "syscon";
 		reg = <0x00 0xff260000 0x00 0x20>;
-		phandle = <0xcd>;
+		phandle = <0xd5>;
 	};
 
 	qos@ff270000 {
 		compatible = "syscon";
 		reg = <0x00 0xff270000 0x00 0x20>;
-		phandle = <0xce>;
+		phandle = <0xd6>;
 	};
 
 	qos@ff270080 {
 		compatible = "syscon";
 		reg = <0x00 0xff270080 0x00 0x20>;
-		phandle = <0xcf>;
+		phandle = <0xd7>;
 	};
 
 	qos@ff270100 {
 		compatible = "syscon";
 		reg = <0x00 0xff270100 0x00 0x20>;
-		phandle = <0xd0>;
+		phandle = <0xd8>;
 	};
 
 	qos@ff270200 {
 		compatible = "syscon";
 		reg = <0x00 0xff270200 0x00 0x20>;
-		phandle = <0xd1>;
+		phandle = <0xd9>;
 	};
 
 	qos@ff270280 {
 		compatible = "syscon";
 		reg = <0x00 0xff270280 0x00 0x20>;
-		phandle = <0xd2>;
+		phandle = <0xda>;
 	};
 
 	qos@ff270300 {
 		compatible = "syscon";
 		reg = <0x00 0xff270300 0x00 0x20>;
-		phandle = <0xd3>;
+		phandle = <0xdb>;
 	};
 
 	qos@ff270380 {
 		compatible = "syscon";
 		reg = <0x00 0xff270380 0x00 0x20>;
-		phandle = <0xd4>;
+		phandle = <0xdc>;
 	};
 
 	qos@ff270480 {
 		compatible = "syscon";
 		reg = <0x00 0xff270480 0x00 0x20>;
-		phandle = <0xd5>;
+		phandle = <0xdd>;
 	};
 
 	qos@ff270500 {
 		compatible = "syscon";
 		reg = <0x00 0xff270500 0x00 0x20>;
-		phandle = <0xd6>;
+		phandle = <0xde>;
 	};
 
 	qos@ff280000 {
 		compatible = "syscon";
 		reg = <0x00 0xff280000 0x00 0x20>;
-		phandle = <0xd7>;
+		phandle = <0xdf>;
 	};
 
 	qos@ff280080 {
 		compatible = "syscon";
 		reg = <0x00 0xff280080 0x00 0x20>;
-		phandle = <0xd8>;
+		phandle = <0xe0>;
 	};
 
 	qos@ff280100 {
 		compatible = "syscon";
 		reg = <0x00 0xff280100 0x00 0x20>;
-		phandle = <0xd9>;
+		phandle = <0xe1>;
 	};
 
 	qos@ff280180 {
 		compatible = "syscon";
 		reg = <0x00 0xff280180 0x00 0x20>;
-		phandle = <0xda>;
+		phandle = <0xe2>;
 	};
 
 	qos@ff280200 {
 		compatible = "syscon";
 		reg = <0x00 0xff280200 0x00 0x20>;
-		phandle = <0xdb>;
+		phandle = <0xe3>;
 	};
 
 	qos@ff280280 {
 		compatible = "syscon";
 		reg = <0x00 0xff280280 0x00 0x20>;
-		phandle = <0xdc>;
+		phandle = <0xe4>;
 	};
 
 	qos@ff280300 {
 		compatible = "syscon";
 		reg = <0x00 0xff280300 0x00 0x20>;
-		phandle = <0xdd>;
+		phandle = <0xe5>;
 	};
 
 	qos@ff280380 {
 		compatible = "syscon";
 		reg = <0x00 0xff280380 0x00 0x20>;
-		phandle = <0xde>;
+		phandle = <0xe6>;
 	};
 
 	qos@ff280400 {
 		compatible = "syscon";
 		reg = <0x00 0xff280400 0x00 0x20>;
-		phandle = <0xdf>;
+		phandle = <0xe7>;
 	};
 
 	syscon@ff300000 {
@@ -902,7 +925,7 @@
 		grf-clock-controller {
 			compatible = "rockchip,rk3528-grf-cru";
 			#clock-cells = <0x01>;
-			phandle = <0x7b>;
+			phandle = <0x87>;
 		};
 
 		reboot-mode {
@@ -917,7 +940,7 @@
 			mode-ums = <0x5242c30c>;
 			mode-panic = <0x5242c307>;
 			mode-watchdog = <0x5242c308>;
-			phandle = <0xe0>;
+			phandle = <0xe8>;
 		};
 	};
 
@@ -935,13 +958,13 @@
 	syscon@ff540000 {
 		compatible = "rockchip,rk3528-ioc-grf", "syscon";
 		reg = <0x00 0xff540000 0x00 0x40000>;
-		phandle = <0x87>;
+		phandle = <0x93>;
 	};
 
 	power-management@ff600000 {
 		compatible = "rockchip,rk3528-pmu", "syscon", "simple-mfd";
 		reg = <0x00 0xff600000 0x00 0x2000>;
-		phandle = <0xe1>;
+		phandle = <0xe9>;
 
 		power-controller {
 			compatible = "rockchip,rk3528-power-controller";
@@ -949,12 +972,12 @@
 			#address-cells = <0x01>;
 			#size-cells = <0x00>;
 			status = "okay";
-			phandle = <0x29>;
+			phandle = <0x2c>;
 
 			pd_gpu@4 {
 				reg = <0x04>;
 				clocks = <0x02 0x113 0x02 0x10e>;
-				pm_qos = <0x27 0x28>;
+				pm_qos = <0x2a 0x2b>;
 			};
 
 			pd_rkvdec@5 {
@@ -983,24 +1006,24 @@
 		clock-names = "pclk_mailbox";
 		#mbox-cells = <0x01>;
 		status = "disabled";
-		phandle = <0xe2>;
+		phandle = <0xea>;
 	};
 
 	gpu@ff700000 {
 		compatible = "arm,mali-450";
 		reg = <0x00 0xff700000 0x00 0x40000>;
 		interrupts = <0x00 0x58 0x04 0x00 0x59 0x04 0x00 0x56 0x04 0x00 0x5c 0x04 0x00 0x5d 0x04 0x00 0x5a 0x04 0x00 0x5b 0x04>;
-		interrupt-names = "Mali_GP_IRQ", "Mali_GP_MMU_IRQ", "IRQPP", "Mali_PP0_IRQ", "Mali_PP0_MMU_IRQ", "Mali_PP1_IRQ", "Mali_PP1_MMU_IRQ";
-		clocks = <0x07 0x16 0x02 0x113 0x02 0x10e>;
-		clock-names = "clk_mali", "aclk_gpu_mali", "pclk_gpu";
+		interrupt-names = "gp", "gpmmu", "pp", "pp0", "ppmmu0", "pp1", "ppmmu1";
+		clocks = <0x02 0x113 0x02 0x113>;
+		clock-names = "bus", "core";
 		assigned-clocks = <0x07 0x16>;
 		assigned-clock-rates = <0x11e1a300>;
-		power-domains = <0x29 0x04>;
-		operating-points-v2 = <0x2a>;
+		power-domains = <0x2c 0x04>;
+		operating-points-v2 = <0x2d>;
 		#cooling-cells = <0x02>;
 		rockchip,grf = <0x0f>;
 		status = "okay";
-		mali-supply = <0x1a>;
+		mali-supply = <0x2e>;
 		phandle = <0x21>;
 
 		power-model {
@@ -1011,14 +1034,14 @@
 			dynamic-coefficient = <0x2d4>;
 			ts = <0x302a42 0x1d55a 0xfffff636 0x27>;
 			thermal-zone = "soc-thermal";
-			phandle = <0xe3>;
+			phandle = <0xeb>;
 		};
 	};
 
 	gpu-opp-table {
 		compatible = "operating-points-v2";
 		mbist-vmin = <0xc96a8 0xe1d48>;
-		nvmem-cells = <0x2b 0x2c 0x2d>;
+		nvmem-cells = <0x2f 0x30 0x31>;
 		nvmem-cell-names = "leakage", "opp-info", "mbist-vmin";
 		rockchip,pvtm-voltage-sel = <0x00 0x2ee 0x00 0x2ef 0x302 0x01 0x303 0x316 0x02 0x317 0x32a 0x03 0x32b 0x33e 0x04 0x33f 0x352 0x05 0x353 0x366 0x06 0x367 0x37a 0x07 0x37b 0x270f 0x08>;
 		rockchip,pvtm-pvtpll;
@@ -1030,7 +1053,10 @@
 		rockchip,pvtm-temp-prop = <0x00 0x00>;
 		rockchip,pvtm-thermal-zone = "soc-thermal";
 		rockchip,grf = <0x0f>;
-		phandle = <0x2a>;
+		rockchip,temp-hysteresis = <0x1388>;
+		rockchip,low-temp = <0x2710>;
+		rockchip,low-temp-min-volt = <0xdbba0>;
+		phandle = <0x2d>;
 
 		opp-300000000 {
 			opp-hz = <0x00 0x11e1a300>;
@@ -1093,10 +1119,10 @@
 		rockchip,busfreq-policy = "clkfreq";
 		clocks = <0x07 0x16>;
 		clock-names = "bus";
-		operating-points-v2 = <0x2e>;
+		operating-points-v2 = <0x32>;
 		status = "okay";
 		bus-supply = <0x1a>;
-		phandle = <0xe4>;
+		phandle = <0xec>;
 	};
 
 	gpu-bus-opp-table {
@@ -1104,7 +1130,7 @@
 		nvmem-cells = <0x1b>;
 		nvmem-cell-names = "leakage";
 		rockchip,leakage-voltage-sel = <0x01 0x16 0x00 0x17 0xfe 0x01>;
-		phandle = <0x2e>;
+		phandle = <0x32>;
 
 		opp-700000000 {
 			opp-hz = <0x00 0x29b92700>;
@@ -1131,16 +1157,16 @@
 		assigned-clock-rates = <0x1443fd00 0x23c34600>;
 		resets = <0x02 0x2c8 0x02 0x2c9 0x02 0x2cb>;
 		reset-names = "video_a", "video_h", "video_hevc_cabac";
-		iommus = <0x2f>;
-		rockchip,srv = <0x30>;
+		iommus = <0x33>;
+		rockchip,srv = <0x34>;
 		rockchip,taskqueue-node = <0x00>;
 		rockchip,resetgroup-node = <0x00>;
 		rockchip,task-capacity = <0x10>;
-		rockchip,sram = <0x31>;
+		rockchip,sram = <0x35>;
 		rockchip,rcb-iova = <0x10000000 0x10000>;
 		rockchip,rcb-min-width = <0x200>;
 		status = "okay";
-		phandle = <0xe5>;
+		phandle = <0xed>;
 	};
 
 	iommu@ff740800 {
@@ -1153,7 +1179,7 @@
 		#iommu-cells = <0x00>;
 		rockchip,shootdown-entire;
 		status = "okay";
-		phandle = <0x2f>;
+		phandle = <0x33>;
 	};
 
 	rkvenc@ff780000 {
@@ -1168,15 +1194,15 @@
 		reset-names = "video_a", "video_h", "video_core";
 		assigned-clocks = <0x02 0x120 0x02 0x121>;
 		assigned-clock-rates = <0x11e1a300 0x11e1a300>;
-		iommus = <0x32>;
-		rockchip,srv = <0x30>;
+		iommus = <0x36>;
+		rockchip,srv = <0x34>;
 		rockchip,grf = <0x0f>;
 		rockchip,grf-mem-offset = <0x20010>;
 		rockchip,grf-mem-values = <0x21 0xffff0021>;
 		rockchip,taskqueue-node = <0x01>;
 		rockchip,resetgroup-node = <0x01>;
 		status = "okay";
-		phandle = <0xe6>;
+		phandle = <0xee>;
 	};
 
 	iommu@ff78f000 {
@@ -1189,7 +1215,7 @@
 		#iommu-cells = <0x00>;
 		rockchip,shootdown-entire;
 		status = "okay";
-		phandle = <0x32>;
+		phandle = <0x36>;
 	};
 
 	vdpu@ff7c0400 {
@@ -1204,8 +1230,8 @@
 		assigned-clock-rates = <0x11e1a300>;
 		resets = <0x02 0x199 0x02 0x19a>;
 		reset-names = "shared_video_a", "shared_video_h";
-		iommus = <0x33>;
-		rockchip,srv = <0x30>;
+		iommus = <0x37>;
+		rockchip,srv = <0x34>;
 		rockchip,grf = <0x0f>;
 		rockchip,grf-mem-offset = <0x40034>;
 		rockchip,grf-mem-values = <0xf040000 0xf040f04>;
@@ -1213,7 +1239,7 @@
 		rockchip,resetgroup-node = <0x02>;
 		rockchip,disable-auto-freq;
 		status = "okay";
-		phandle = <0xe7>;
+		phandle = <0xef>;
 	};
 
 	iommu@ff7c0800 {
@@ -1226,7 +1252,7 @@
 		#iommu-cells = <0x00>;
 		rockchip,shootdown-entire;
 		status = "okay";
-		phandle = <0x33>;
+		phandle = <0x37>;
 	};
 
 	avsd_plus@ff7c1000 {
@@ -1241,13 +1267,13 @@
 		assigned-clock-rates = <0x11e1a300>;
 		resets = <0x02 0x199 0x02 0x19a>;
 		reset-names = "shared_video_a", "shared_video_h";
-		iommus = <0x33>;
-		rockchip,srv = <0x30>;
+		iommus = <0x37>;
+		rockchip,srv = <0x34>;
 		rockchip,taskqueue-node = <0x02>;
 		rockchip,resetgroup-node = <0x02>;
 		rockchip,disable-auto-freq;
 		status = "okay";
-		phandle = <0xe8>;
+		phandle = <0xf0>;
 	};
 
 	vop@ff840000 {
@@ -1258,13 +1284,11 @@
 		clocks = <0x02 0x157 0x02 0x154 0x02 0x155 0x02 0x156>;
 		clock-names = "aclk_vop", "hclk_vop", "dclk_vp0", "dclk_vp1";
 		assigned-clocks = <0x02 0x155>;
-		assigned-clock-parents = <0x34>;
-		iommus = <0x35>;
+		assigned-clock-parents = <0x38>;
+		iommus = <0x39>;
 		rockchip,grf = <0x0f>;
 		status = "okay";
-		esmart_lb_mode = [03];
-		support-multi-area;
-		phandle = <0xe9>;
+		phandle = <0xf1>;
 
 		ports {
 			#address-cells = <0x01>;
@@ -1278,7 +1302,7 @@
 
 				endpoint@0 {
 					reg = <0x00>;
-					remote-endpoint = <0x36>;
+					remote-endpoint = <0x3a>;
 					phandle = <0x16>;
 				};
 			};
@@ -1290,7 +1314,7 @@
 
 				endpoint@0 {
 					reg = <0x00>;
-					remote-endpoint = <0x37>;
+					remote-endpoint = <0x3b>;
 					phandle = <0x17>;
 				};
 			};
@@ -1308,7 +1332,7 @@
 		rockchip,disable-device-link-resume;
 		rockchip,shootdown-entire;
 		status = "okay";
-		phandle = <0x35>;
+		phandle = <0x39>;
 	};
 
 	rga@ff850000 {
@@ -1318,12 +1342,12 @@
 		interrupt-names = "rga2_irq";
 		clocks = <0x02 0x14b 0x02 0x14a 0x02 0x14c>;
 		clock-names = "aclk_rga2", "hclk_rga2", "clk_rga2";
-		iommus = <0x38>;
+		iommus = <0x3c>;
 		rockchip,grf = <0x0f>;
 		rockchip,grf-offset = <0x600e0>;
 		rockchip,grf-values = <0xff10000 0xff10ff1>;
 		status = "okay";
-		phandle = <0xea>;
+		phandle = <0xf2>;
 	};
 
 	iommu@ff850f00 {
@@ -1335,7 +1359,7 @@
 		clock-names = "aclk", "iface";
 		#iommu-cells = <0x00>;
 		status = "okay";
-		phandle = <0x38>;
+		phandle = <0x3c>;
 	};
 
 	iep@ff860000 {
@@ -1349,12 +1373,12 @@
 		assigned-clock-rates = <0x1443fd00 0x1443fd00>;
 		resets = <0x02 0x27b 0x02 0x27a 0x02 0x27c>;
 		reset-names = "shared_rst_a", "shared_rst_h", "shared_rst_s";
-		rockchip,srv = <0x30>;
+		rockchip,srv = <0x34>;
 		rockchip,taskqueue-node = <0x03>;
 		rockchip,resetgroup-node = <0x03>;
-		iommus = <0x39>;
+		iommus = <0x3d>;
 		status = "okay";
-		phandle = <0xeb>;
+		phandle = <0xf3>;
 	};
 
 	iommu@ff860800 {
@@ -1367,7 +1391,7 @@
 		#iommu-cells = <0x00>;
 		rockchip,shootdown-entire;
 		status = "okay";
-		phandle = <0x39>;
+		phandle = <0x3d>;
 	};
 
 	vdpp@ff861000 {
@@ -1382,16 +1406,16 @@
 		assigned-clock-rates = <0x1443fd00 0x1443fd00>;
 		resets = <0x02 0x27b 0x02 0x27a 0x02 0x27c>;
 		reset-names = "shared_rst_a", "shared_rst_h", "shared_rst_s";
-		rockchip,srv = <0x30>;
+		rockchip,srv = <0x34>;
 		rockchip,grf = <0x0f>;
 		rockchip,grf-mem-offset = <0x600e0>;
 		rockchip,grf-mem-values = <0xf0040000 0xf004f004>;
 		rockchip,taskqueue-node = <0x03>;
 		rockchip,resetgroup-node = <0x03>;
 		rockchip,disable-auto-freq;
-		iommus = <0x39>;
+		iommus = <0x3d>;
 		status = "okay";
-		phandle = <0xec>;
+		phandle = <0xf4>;
 	};
 
 	jpegd@ff870000 {
@@ -1406,12 +1430,12 @@
 		rockchip,disable-auto-freq;
 		resets = <0x02 0x296 0x02 0x297>;
 		reset-names = "video_a", "video_h";
-		iommus = <0x3a>;
-		rockchip,srv = <0x30>;
+		iommus = <0x3e>;
+		rockchip,srv = <0x34>;
 		rockchip,taskqueue-node = <0x04>;
 		rockchip,resetgroup-node = <0x04>;
 		status = "okay";
-		phandle = <0xed>;
+		phandle = <0xf5>;
 	};
 
 	iommu@ff870480 {
@@ -1424,7 +1448,7 @@
 		#iommu-cells = <0x00>;
 		rockchip,shootdown-entire;
 		status = "okay";
-		phandle = <0x3a>;
+		phandle = <0x3e>;
 	};
 
 	tve@ff880000 {
@@ -1443,10 +1467,10 @@
 		rockchip,lumafilter7 = <0x8de055f>;
 		rockchip,tve-upsample = <0x02>;
 		rockchip,grf = <0x0f>;
-		nvmem-cells = <0x3b 0x3c>;
+		nvmem-cells = <0x3f 0x40>;
 		nvmem-cell-names = "out-current", "version";
-		status = "okay";
-		phandle = <0xee>;
+		status = "disabled";
+		phandle = <0xf6>;
 
 		ports {
 			#address-cells = <0x01>;
@@ -1460,8 +1484,8 @@
 				endpoint@0 {
 					reg = <0x00>;
 					remote-endpoint = <0x17>;
-					status = "okay";
-					phandle = <0x37>;
+					status = "disabled";
+					phandle = <0x3b>;
 				};
 			};
 		};
@@ -1474,7 +1498,7 @@
 		clocks = <0x02 0x163 0x02 0x165 0x02 0x164>;
 		clock-names = "aclk_hdcp2", "pclk_hdcp2", "hdcp2_clk_hdmi";
 		status = "disabled";
-		phandle = <0xef>;
+		phandle = <0xf7>;
 	};
 
 	hdmi@ff8d0000 {
@@ -1482,22 +1506,20 @@
 		reg = <0x00 0xff8d0000 0x00 0x20000 0x00 0xff610000 0x00 0x200>;
 		interrupts = <0x00 0x66 0x04 0x00 0x67 0x04>;
 		interrupt-names = "hdmi", "hdmi_wakeup";
-		clocks = <0x02 0x158 0x02 0x159 0x02 0x15a 0x34>;
+		clocks = <0x02 0x158 0x02 0x159 0x02 0x15a 0x38>;
 		clock-names = "iahb", "isfr", "cec", "dclk_vp0";
 		ddc-i2c-scl-high-time-ns = <0x2599>;
 		ddc-i2c-scl-low-time-ns = <0x2710>;
 		reg-io-width = <0x04>;
 		rockchip,grf = <0x0f>;
-		pinctrl-names = "default", "sleep";
-		pinctrl-0 = <0x3d>;
-		pinctrl-1 = <0x3d>;
-		phys = <0x3e>;
+		pinctrl-names = "default";
+		pinctrl-0 = <0x41>;
+		phys = <0x42>;
 		phy-names = "hdmi";
 		#sound-dai-cells = <0x00>;
-		hpd-gpios = <0x3f 0x02 0x00>;
+		hpd-gpios = <0x43 0x02 0x00>;
 		status = "okay";
-		cec-enable;
-		phandle = <0x97>;
+		phandle = <0xa4>;
 
 		ports {
 			#address-cells = <0x01>;
@@ -1512,7 +1534,7 @@
 					reg = <0x00>;
 					remote-endpoint = <0x16>;
 					status = "okay";
-					phandle = <0x36>;
+					phandle = <0x3a>;
 				};
 			};
 		};
@@ -1534,12 +1556,19 @@
 		#size-cells = <0x00>;
 		clocks = <0x02 0x12a 0x02 0x129 0x02 0x12b>;
 		clock-names = "spiclk", "apb_pclk", "sclk_in";
-		dmas = <0x40 0x19 0x40 0x18>;
+		dmas = <0x44 0x19 0x44 0x18>;
 		dma-names = "tx", "rx";
 		pinctrl-names = "default";
-		pinctrl-0 = <0x41 0x42 0x43>;
-		status = "disabled";
-		phandle = <0xf0>;
+		pinctrl-0 = <0x45 0x46>;
+		status = "okay";
+		num-cs = <0x02>;
+		phandle = <0xf8>;
+
+		spi_dev@1 {
+			compatible = "rockchip,spidev";
+			reg = <0x01>;
+			spi-max-frequency = <0x2faf080>;
+		};
 	};
 
 	spi@ff9d0000 {
@@ -1550,12 +1579,12 @@
 		#size-cells = <0x00>;
 		clocks = <0x02 0xbe 0x02 0xbd 0x02 0xbf>;
 		clock-names = "spiclk", "apb_pclk", "sclk_in";
-		dmas = <0x40 0x1f 0x40 0x1e>;
+		dmas = <0x44 0x1f 0x44 0x1e>;
 		dma-names = "tx", "rx";
 		pinctrl-names = "default";
-		pinctrl-0 = <0x44 0x45 0x46>;
+		pinctrl-0 = <0x47 0x48 0x49>;
 		status = "disabled";
-		phandle = <0xf1>;
+		phandle = <0xf9>;
 	};
 
 	serial@ff9f0000 {
@@ -1566,9 +1595,11 @@
 		clock-names = "baudclk", "apb_pclk";
 		reg-shift = <0x02>;
 		reg-io-width = <0x04>;
-		dmas = <0x40 0x09 0x40 0x08>;
-		status = "disabled";
-		phandle = <0xf2>;
+		dmas = <0x44 0x09 0x44 0x08>;
+		status = "okay";
+		pinctrl-names = "default";
+		pinctrl-0 = <0x4a>;
+		phandle = <0xfa>;
 	};
 
 	serial@ff9f8000 {
@@ -1579,9 +1610,9 @@
 		clock-names = "baudclk", "apb_pclk";
 		reg-shift = <0x02>;
 		reg-io-width = <0x04>;
-		dmas = <0x40 0x0b 0x40 0x0a>;
+		dmas = <0x44 0x0b 0x44 0x0a>;
 		status = "disabled";
-		phandle = <0xf3>;
+		phandle = <0xfb>;
 	};
 
 	serial@ffa00000 {
@@ -1592,12 +1623,11 @@
 		clock-names = "baudclk", "apb_pclk";
 		reg-shift = <0x02>;
 		reg-io-width = <0x04>;
-		dmas = <0x40 0x0d 0x40 0x0c>;
+		dmas = <0x44 0x0d 0x44 0x0c>;
 		status = "okay";
 		pinctrl-names = "default";
-		dma-names = "!tx", "!rx";
-		pinctrl-0 = <0x47 0x48>;
-		phandle = <0xf4>;
+		pinctrl-0 = <0x4b 0x4c>;
+		phandle = <0xfc>;
 	};
 
 	serial@ffa08000 {
@@ -1608,12 +1638,11 @@
 		clock-names = "baudclk", "apb_pclk";
 		reg-shift = <0x02>;
 		reg-io-width = <0x04>;
-		dmas = <0x40 0x0f 0x40 0x0e>;
+		dmas = <0x44 0x0f 0x44 0x0e>;
 		status = "okay";
 		pinctrl-names = "default";
-		dma-names = "!tx", "!rx";
-		pinctrl-0 = <0x49>;
-		phandle = <0xf5>;
+		pinctrl-0 = <0x4d>;
+		phandle = <0xfd>;
 	};
 
 	serial@ffa10000 {
@@ -1624,9 +1653,9 @@
 		clock-names = "baudclk", "apb_pclk";
 		reg-shift = <0x02>;
 		reg-io-width = <0x04>;
-		dmas = <0x40 0x11 0x40 0x10>;
+		dmas = <0x44 0x11 0x44 0x10>;
 		status = "disabled";
-		phandle = <0xf6>;
+		phandle = <0xfe>;
 	};
 
 	serial@ffa18000 {
@@ -1637,9 +1666,9 @@
 		clock-names = "baudclk", "apb_pclk";
 		reg-shift = <0x02>;
 		reg-io-width = <0x04>;
-		dmas = <0x40 0x13 0x40 0x12>;
+		dmas = <0x44 0x13 0x44 0x12>;
 		status = "disabled";
-		phandle = <0xf7>;
+		phandle = <0xff>;
 	};
 
 	serial@ffa20000 {
@@ -1650,9 +1679,9 @@
 		clock-names = "baudclk", "apb_pclk";
 		reg-shift = <0x02>;
 		reg-io-width = <0x04>;
-		dmas = <0x40 0x15 0x40 0x14>;
+		dmas = <0x44 0x15 0x44 0x14>;
 		status = "disabled";
-		phandle = <0xf8>;
+		phandle = <0x100>;
 	};
 
 	serial@ffa28000 {
@@ -1663,9 +1692,9 @@
 		clock-names = "baudclk", "apb_pclk";
 		reg-shift = <0x02>;
 		reg-io-width = <0x04>;
-		dmas = <0x40 0x17 0x40 0x16>;
+		dmas = <0x44 0x17 0x44 0x16>;
 		status = "disabled";
-		phandle = <0xf9>;
+		phandle = <0x101>;
 	};
 
 	i2c@ffa50000 {
@@ -1675,11 +1704,11 @@
 		clock-names = "i2c", "pclk";
 		interrupts = <0x00 0x3d 0x04>;
 		pinctrl-names = "default";
-		pinctrl-0 = <0x4a>;
+		pinctrl-0 = <0x4e>;
 		#address-cells = <0x01>;
 		#size-cells = <0x00>;
 		status = "disabled";
-		phandle = <0xfa>;
+		phandle = <0x102>;
 	};
 
 	i2c@ffa58000 {
@@ -1689,11 +1718,11 @@
 		clock-names = "i2c", "pclk";
 		interrupts = <0x00 0x3e 0x04>;
 		pinctrl-names = "default";
-		pinctrl-0 = <0x4b>;
+		pinctrl-0 = <0x4f>;
 		#address-cells = <0x01>;
 		#size-cells = <0x00>;
 		status = "disabled";
-		phandle = <0xfb>;
+		phandle = <0x103>;
 	};
 
 	i2c@ffa60000 {
@@ -1703,11 +1732,11 @@
 		clock-names = "i2c", "pclk";
 		interrupts = <0x00 0x3f 0x04>;
 		pinctrl-names = "default";
-		pinctrl-0 = <0x4c>;
+		pinctrl-0 = <0x50>;
 		#address-cells = <0x01>;
 		#size-cells = <0x00>;
 		status = "disabled";
-		phandle = <0xfc>;
+		phandle = <0x104>;
 	};
 
 	i2c@ffa68000 {
@@ -1717,11 +1746,11 @@
 		clock-names = "i2c", "pclk";
 		interrupts = <0x00 0x40 0x04>;
 		pinctrl-names = "default";
-		pinctrl-0 = <0x4d>;
+		pinctrl-0 = <0x51>;
 		#address-cells = <0x01>;
 		#size-cells = <0x00>;
 		status = "disabled";
-		phandle = <0xfd>;
+		phandle = <0x105>;
 	};
 
 	i2c@ffa70000 {
@@ -1731,11 +1760,11 @@
 		clock-names = "i2c", "pclk";
 		interrupts = <0x00 0x41 0x04>;
 		pinctrl-names = "default";
-		pinctrl-0 = <0x4e>;
+		pinctrl-0 = <0x52>;
 		#address-cells = <0x01>;
 		#size-cells = <0x00>;
 		status = "disabled";
-		phandle = <0xfe>;
+		phandle = <0x106>;
 	};
 
 	i2c@ffa78000 {
@@ -1745,11 +1774,11 @@
 		clock-names = "i2c", "pclk";
 		interrupts = <0x00 0x42 0x04>;
 		pinctrl-names = "default";
-		pinctrl-0 = <0x4f>;
+		pinctrl-0 = <0x53>;
 		#address-cells = <0x01>;
 		#size-cells = <0x00>;
 		status = "disabled";
-		phandle = <0xff>;
+		phandle = <0x107>;
 	};
 
 	i2c@ffa80000 {
@@ -1759,11 +1788,11 @@
 		clock-names = "i2c", "pclk";
 		interrupts = <0x00 0x43 0x04>;
 		pinctrl-names = "default";
-		pinctrl-0 = <0x50>;
+		pinctrl-0 = <0x54>;
 		#address-cells = <0x01>;
 		#size-cells = <0x00>;
-		status = "disabled";
-		phandle = <0x100>;
+		status = "okay";
+		phandle = <0x108>;
 	};
 
 	i2c@ffa88000 {
